package xptoolkit.cactus;

import javax.servlet.http.*;
import java.util.*;

/**
 * $Revision: 1.2 $. Helder da Rocha (helder@ibpinet.net). $Date: 2002/02/17 16:14:31 $.
 * Modified version of example application from "Java Tools for Extreme Programming" by Hightower/Lesiecki.
 * Maps request parameters to session attributes. 
 */
public class SessionMapper {
    
    /**
     * Saves, for each parameter in request, name and value in session attribute and returns a HashMap containing
     * name/value pairs.
     */
    public static Map mapRequestToSession(HttpServletRequest request) {
        HttpSession session = request.getSession();
        Map paramsMap = new HashMap();
        for (Enumeration e = request.getParameterNames(); e.hasMoreElements(); ) {
            String paramName = (String) e.nextElement();
            String paramValue = request.getParameter(paramName);
            session.setAttribute(paramName, paramValue);
            paramsMap.put(paramName, paramValue);
        }
        return paramsMap;
    }
}
