package xpbook;

import java.io.*;
import javax.servlet.jsp.*;
import javax.servlet.http.*;
import javax.servlet.jsp.tagext.*;

public class VarTag extends TagSupport {
    
    private String name, value;
    
    public void setName(String name) {
        this.name = name;
    }
    
    public void setValue(String value) {
        this.value = value;
    }
    
    public String getName() {
        return name;
    }
    
    public String getValue() {
        return value;
    }
    
    public int doStartTag() throws JspException {
        pageContext.setAttribute(name, value);
        return SKIP_BODY;
    }
    
}
